<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sat Aug 03 14:00:59 PDT 2013 -->
<TITLE>
NjordNavTree
</TITLE>

<META NAME="date" CONTENT="2013-08-03">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="NjordNavTree";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NjordNavTree.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/Njord.WorkspaceSaver.html" title="class in com.theuberlab.njord.ui"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordRuleEditorPanel.html" title="class in com.theuberlab.njord.ui"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?com/theuberlab/njord/ui/NjordNavTree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NjordNavTree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_javax.swing.JPanel">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
com.theuberlab.njord.ui</FONT>
<BR>
Class NjordNavTree</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by ">java.awt.Component
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by ">java.awt.Container
          <IMG SRC="../../../../resources/inherit.gif" ALT="extended by ">javax.swing.JComponent
              <IMG SRC="../../../../resources/inherit.gif" ALT="extended by ">javax.swing.JPanel
                  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>com.theuberlab.njord.ui.NjordNavTree</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.event.TreeSelectionListener</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>NjordNavTree</B><DT>extends javax.swing.JPanel<DT>implements javax.swing.event.TreeSelectionListener</DL>
</PRE>

<P>
The navigation window. A dockable pane which contains a scrollable JTree.
<P>

<P>
<DL>
<DT><B>Author:</B></DT>
  <DD>Aaron Forster</DD>
<DT><B>See Also:</B><DD><A HREF="../../../../serialized-form.html#com.theuberlab.njord.ui.NjordNavTree">Serialized Form</A></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="nested_classes_inherited_from_class_javax.swing.JPanel"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class javax.swing.JPanel</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>javax.swing.JPanel.AccessibleJPanel</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_javax.swing.JComponent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class javax.swing.JComponent</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>javax.swing.JComponent.AccessibleJComponent</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_java.awt.Container"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class java.awt.Container</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>java.awt.Container.AccessibleAWTContainer</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_java.awt.Component"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class java.awt.Component</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#lastSelectedCategory">lastSelectedCategory</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>(package private) &nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#lastSelectedCategoryNode">lastSelectedCategoryNode</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Last selected category node.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#lastSelectedContext">lastSelectedContext</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>(package private) &nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#lastSelectedEditablenode">lastSelectedEditablenode</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The last editable node selected.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#lastSelectedOrigin">lastSelectedOrigin</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#localiAppsTemplatesCategory">localiAppsTemplatesCategory</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#localiRulesCategory">localiRulesCategory</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#localTree">localTree</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.slf4j.Logger</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#log">log</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Holds our logger factory for SLF4J.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;javax.swing.JTree</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#navigationTree">navigationTree</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/Njord.html" title="class in com.theuberlab.njord.ui">Njord</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#owner">owner</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#remoteTree">remoteTree</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>private static&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#serialVersionUID">serialVersionUID</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The Major Version of the class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#top">top</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;javax.swing.tree.TreeModel</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#treeModel">treeModel</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_javax.swing.JComponent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class javax.swing.JComponent</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_java.awt.Component"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class java.awt.Component</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_java.awt.image.ImageObserver"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface java.awt.image.ImageObserver</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#NjordNavTree(com.theuberlab.njord.util.NjordPreferences, com.theuberlab.njord.ui.Njord)">NjordNavTree</A></B>(<A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html" title="class in com.theuberlab.njord.util">NjordPreferences</A>&nbsp;preferences,
             <A HREF="../../../../com/theuberlab/njord/ui/Njord.html" title="class in com.theuberlab.njord.ui">Njord</A>&nbsp;parent)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a tree with the contact persons in the different countries.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#expandPath(javax.swing.tree.TreePath)">expandPath</A></B>(javax.swing.tree.TreePath&nbsp;path)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#getCategoryNodeForBigIP(com.theuberlab.njord.model.BigIP)">getCategoryNodeForBigIP</A></B>(<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A>&nbsp;bigip)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#getLastSelectedPathComponent()">getLastSelectedPathComponent</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#getNodeForBigIP(com.theuberlab.njord.model.BigIP)">getNodeForBigIP</A></B>(<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A>&nbsp;bigip)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#getPathCategory()">getPathCategory</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;NOT PROPERLY IMPLEMEMENTED.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#getPathContext()">getPathContext</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;NOT PROPERLY IMPLEMEMENTED.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#getPathOrigin()">getPathOrigin</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;NOT PROPERLY IMPLEMEMENTED.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#getPathOrigin(com.theuberlab.njord.ui.NjordTreeNode)">getPathOrigin</A></B>(<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A>&nbsp;treeNode)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Eventually this will take a look at the tree you're in and crawl upwards until it finds 
 an origin (Likely a bigip possibly LOCAL) and return that.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;javax.swing.tree.TreeModel</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#getTreeModel()">getTreeModel</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordNavTree.html#valueChanged(javax.swing.event.TreeSelectionEvent)">valueChanged</A></B>(javax.swing.event.TreeSelectionEvent&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;valueChanged(TreeSelectionEvent) is triggered whenever someone clicks on an element in the navigation tree.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_javax.swing.JPanel"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class javax.swing.JPanel</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_javax.swing.JComponent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class javax.swing.JComponent</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.awt.Container"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.awt.Container</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.awt.Component"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.awt.Component</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="serialVersionUID"><!-- --></A><H3>
serialVersionUID</H3>
<PRE>
private static final long <B>serialVersionUID</B></PRE>
<DL>
<DD>The Major Version of the class.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#com.theuberlab.njord.ui.NjordNavTree.serialVersionUID">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="log"><!-- --></A><H3>
log</H3>
<PRE>
public org.slf4j.Logger <B>log</B></PRE>
<DL>
<DD>Holds our logger factory for SLF4J.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="treeModel"><!-- --></A><H3>
treeModel</H3>
<PRE>
public javax.swing.tree.TreeModel <B>treeModel</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="top"><!-- --></A><H3>
top</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>top</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="remoteTree"><!-- --></A><H3>
remoteTree</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>remoteTree</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="localTree"><!-- --></A><H3>
localTree</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>localTree</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="localiRulesCategory"><!-- --></A><H3>
localiRulesCategory</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>localiRulesCategory</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="localiAppsTemplatesCategory"><!-- --></A><H3>
localiAppsTemplatesCategory</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>localiAppsTemplatesCategory</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="navigationTree"><!-- --></A><H3>
navigationTree</H3>
<PRE>
public javax.swing.JTree <B>navigationTree</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="owner"><!-- --></A><H3>
owner</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/ui/Njord.html" title="class in com.theuberlab.njord.ui">Njord</A> <B>owner</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="lastSelectedOrigin"><!-- --></A><H3>
lastSelectedOrigin</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>lastSelectedOrigin</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="lastSelectedContext"><!-- --></A><H3>
lastSelectedContext</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>lastSelectedContext</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="lastSelectedCategory"><!-- --></A><H3>
lastSelectedCategory</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>lastSelectedCategory</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="lastSelectedEditablenode"><!-- --></A><H3>
lastSelectedEditablenode</H3>
<PRE>
<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>lastSelectedEditablenode</B></PRE>
<DL>
<DD>The last editable node selected.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="lastSelectedCategoryNode"><!-- --></A><H3>
lastSelectedCategoryNode</H3>
<PRE>
<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>lastSelectedCategoryNode</B></PRE>
<DL>
<DD>Last selected category node. Category nodes are things like 'iRules.' since we can have multiple BIG-IPS as well as local 
 this will store the path component so that we can get the last selected category+context. Useful for 'new' type dialogs.
<P>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="NjordNavTree(com.theuberlab.njord.util.NjordPreferences, com.theuberlab.njord.ui.Njord)"><!-- --></A><H3>
NjordNavTree</H3>
<PRE>
public <B>NjordNavTree</B>(<A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html" title="class in com.theuberlab.njord.util">NjordPreferences</A>&nbsp;preferences,
                    <A HREF="../../../../com/theuberlab/njord/ui/Njord.html" title="class in com.theuberlab.njord.ui">Njord</A>&nbsp;parent)</PRE>
<DL>
<DD>Constructs a tree with the contact persons in the different countries.
<P>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getLastSelectedPathComponent()"><!-- --></A><H3>
getLastSelectedPathComponent</H3>
<PRE>
public java.lang.Object <B>getLastSelectedPathComponent</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getPathOrigin(com.theuberlab.njord.ui.NjordTreeNode)"><!-- --></A><H3>
getPathOrigin</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A> <B>getPathOrigin</B>(<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A>&nbsp;treeNode)</PRE>
<DL>
<DD>Eventually this will take a look at the tree you're in and crawl upwards until it finds 
 an origin (Likely a bigip possibly LOCAL) and return that. For now it's just going to grab the bigip from the treenode.
 Which means it will only work if a bigip is selected. Otherwise you get grabage.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>treenode</CODE> - </DL>
</DD>
</DL>
<HR>

<A NAME="getPathOrigin()"><!-- --></A><H3>
getPathOrigin</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>getPathOrigin</B>()</PRE>
<DL>
<DD>NOT PROPERLY IMPLEMEMENTED.
 Eventually this will take a look at the last selected item in the tree and crawl upwards until it figures out the context, 
 local or remote, that you have selected.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>treeNode</CODE> - 
<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="getPathContext()"><!-- --></A><H3>
getPathContext</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>getPathContext</B>()</PRE>
<DL>
<DD>NOT PROPERLY IMPLEMEMENTED.
 Eventually this will take a look at the last selected item in the tree and crawl upwards until it figures out the context, 
 local or remote, that you have selected.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>treeNode</CODE> - 
<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="getPathCategory()"><!-- --></A><H3>
getPathCategory</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>getPathCategory</B>()</PRE>
<DL>
<DD>NOT PROPERLY IMPLEMEMENTED.
 Eventually this will take a look at the last selected item in the tree and crawl upwards until it figures out the parent 
 category (Local irule, global irule, virtual server) of the object that is selected.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>treeNode</CODE> - 
<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="valueChanged(javax.swing.event.TreeSelectionEvent)"><!-- --></A><H3>
valueChanged</H3>
<PRE>
public void <B>valueChanged</B>(javax.swing.event.TreeSelectionEvent&nbsp;e)</PRE>
<DL>
<DD>valueChanged(TreeSelectionEvent) is triggered whenever someone clicks on an element in the navigation tree.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE>valueChanged</CODE> in interface <CODE>javax.swing.event.TreeSelectionListener</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="expandPath(javax.swing.tree.TreePath)"><!-- --></A><H3>
expandPath</H3>
<PRE>
public void <B>expandPath</B>(javax.swing.tree.TreePath&nbsp;path)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getCategoryNodeForBigIP(com.theuberlab.njord.model.BigIP)"><!-- --></A><H3>
getCategoryNodeForBigIP</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>getCategoryNodeForBigIP</B>(<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A>&nbsp;bigip)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNodeForBigIP(com.theuberlab.njord.model.BigIP)"><!-- --></A><H3>
getNodeForBigIP</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>getNodeForBigIP</B>(<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A>&nbsp;bigip)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getTreeModel()"><!-- --></A><H3>
getTreeModel</H3>
<PRE>
public javax.swing.tree.TreeModel <B>getTreeModel</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NjordNavTree.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/Njord.WorkspaceSaver.html" title="class in com.theuberlab.njord.ui"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordRuleEditorPanel.html" title="class in com.theuberlab.njord.ui"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?com/theuberlab/njord/ui/NjordNavTree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NjordNavTree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_javax.swing.JPanel">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
